Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001598SpeedFanS.M.A.R.T.public2010-05-08 19:352010-12-20 16:16
Reportercmagdanz 
Assigned Toalfredo 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMS Windows (home PC)OSWin7HPx64OS Version6.1.7600 Build 7
Product Version4.41 beta 
Target VersionFixed in Version4.43 beta 
Summary0001598: HDD not detected by win 7 (like 0001512)
DescriptionHDDs are not detected (no listing in temp config page, no hdd shown in smart page, no hdd in advanced tab) not even when speedfan is opened by Win Task Scheduler on User profile with administrator privileges. (never any UAC popup)

Same behavior in SF4.40
Tagshdd, smart
Motherboard ModelGigabyte GA-MA770-UD3 (rev. 1.0)
Video Card Model
Attached Filesjpg file icon Speedfan4.JPG [^] (33,934 bytes) 2010-05-08 19:35


jpg file icon Speedfan0.JPG [^] (113,981 bytes) 2010-05-08 19:39


jpg file icon Speedfan1.JPG [^] (46,774 bytes) 2010-05-08 19:41


jpg file icon Speedfan2.JPG [^] (38,891 bytes) 2010-05-08 19:41


jpg file icon Speedfan3.JPG [^] (54,061 bytes) 2010-05-08 19:41


jpg file icon Speedfan5.JPG [^] (105,055 bytes) 2010-05-08 19:51


? file icon debug.nfo [^] (86,940 bytes) 2010-05-10 05:46
jpg file icon SpeedFan11.JPG [^] (93,540 bytes) 2010-05-11 20:14


jpg file icon SpeedFan12.JPG [^] (35,893 bytes) 2010-05-11 20:15

- Relationships
related to 0001691resolvedalfredo Add pop warning about Windows UAC blocking access to hard disk data 

-  Notes
(0005272)
norman02us (reporter)
2010-05-11 13:06

You should enable the option "Let Speedfan access sensors through" SMBus.
(0005275)
cmagdanz (reporter)
2010-05-11 20:16

enabled SMBus and rebooted. Still no hdd info. New pics attached. Thanks for replying so quickly!
(0005276)
norman02us (reporter)
2010-05-11 20:22

Have you tried starting Speedfan manually with admin privileges?

What motherboard do you have, which HDDs do you use and where did you attach them?
(0005277)
cmagdanz (reporter)
2010-05-11 20:51

Yeah! Starting manually as admin works!! Now I will play with it to see if I can get to work with auto launch. hdd and mobo info is stored in my profile.
(0005278)
cmagdanz (reporter)
2010-05-11 21:11

I just needed to check "Run with highest privileges" in Task Scheduler. I had wrongly assumed that my User Profile's admin privileges sufficed. Consider this resolved. Thanks :)

mobo: Gigabyte GA-MA770-UD3 (rev. 1.0)
hdds: Seagate (2) ST380815AS & (1) ST31500341AS
ATI Radeon HD 3450 (ASUS EAH3450/HTP/512M)
(0005478)
colin_e (reporter)
2010-11-18 00:30

I have found the same thing- Speedfan can't access the hard disk data under Windows 7 unless UAC is disabled or the program is run with Admin privileges.

1) It seems weird that Speedfan can access all the other sensors on the system without Admin privs, but needs them for the hard disk data.

2) This will not be obvious to users. Is it possible to add a warning popup to the application, especially if no hard disks are detected (which is typically not a normal situation), to tell the user they need to run with Admin rights to access hard disk info.
(0005480)
norman02us (reporter)
2010-11-18 15:34

Colin,
this is not Speedfan specific. Any application that wants direct HDD access needs admin privileges.
(0005551)
norman02us (reporter)
2010-12-20 16:03

Alfredo,
I believe this thread can be closed.
(0005553)
alfredo (manager)
2010-12-20 16:16

I agree. SpeedFan 4.43 now enforces privilege elevation. I was spending too much time answering emails :-)

- Issue History
Date Modified Username Field Change
2010-05-08 19:35 cmagdanz New Issue
2010-05-08 19:35 cmagdanz Status new => assigned
2010-05-08 19:35 cmagdanz Assigned To => alfredo
2010-05-08 19:35 cmagdanz File Added: Speedfan4.JPG
2010-05-08 19:35 cmagdanz Motherboard Model => Gigabyte GA-MA770-UD3 (rev. 1.0)
2010-05-08 19:36 cmagdanz Tag Attached: hdd
2010-05-08 19:37 cmagdanz Tag Attached: smart
2010-05-08 19:39 cmagdanz File Added: Speedfan0.JPG
2010-05-08 19:41 cmagdanz File Added: Speedfan1.JPG
2010-05-08 19:41 cmagdanz File Added: Speedfan2.JPG
2010-05-08 19:41 cmagdanz File Added: Speedfan3.JPG
2010-05-08 19:51 cmagdanz File Added: Speedfan5.JPG
2010-05-10 05:46 cmagdanz File Added: debug.nfo
2010-05-11 13:06 norman02us Note Added: 0005272
2010-05-11 20:14 cmagdanz File Added: SpeedFan11.JPG
2010-05-11 20:15 cmagdanz File Added: SpeedFan12.JPG
2010-05-11 20:16 cmagdanz Note Added: 0005275
2010-05-11 20:22 norman02us Note Added: 0005276
2010-05-11 20:51 cmagdanz Note Added: 0005277
2010-05-11 21:11 cmagdanz Note Added: 0005278
2010-05-11 22:45 norman02us Note Added: 0005279
2010-05-11 22:46 norman02us Note Deleted: 0005279
2010-11-18 00:30 colin_e Note Added: 0005478
2010-11-18 15:34 norman02us Note Added: 0005480
2010-12-20 16:03 norman02us Note Added: 0005551
2010-12-20 16:16 alfredo Note Added: 0005553
2010-12-20 16:16 alfredo Status assigned => resolved
2010-12-20 16:16 alfredo Resolution open => fixed
2010-12-20 16:16 alfredo Fixed in Version => 4.43 beta
2011-01-25 19:46 alfredo Relationship added related to 0001691


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3747 seconds.
memory usage: 8,163 KB
Powered by Mantis Bugtracker